#include <stdio.h>
#include <errno.h>
#include <string.h>

int
main(int argc, char **argv)
{
  FILE *bin;
  unsigned char buf[1024];
  unsigned int count, i;
  
  if (argc != 3) {
    fprintf(stderr, "Usage: %s <binary file> <name of object>\n", argv[0]);
    return 1;
  }

  bin = fopen(argv[1], "rb");
  if (bin == NULL) {
    fprintf(stderr, "Couldn't open %s: %s\n", argv[1],
	    strerror(errno));
    return 1;
  }

  printf(".globl\t%s\n", argv[2]);
  printf(".data\n");
  printf("\t.align\t4\n");
  printf("%s:\n", argv[2]);
  do {
    count = fread(buf, 1, 1024, bin);

    for (i = 0 ; i < count ; i++) {
      if (i % 8 == 0) {
	printf("\n\t.byte 0x%02x", buf[i]);
      } else {
	printf(", 0x%02x", buf[i]);
      }
    }
  } while (count == 1024);
  printf("\n");
  fclose(bin);
  return 0;
}
